Author Topic: U-2022.12-SP1 installation problem  (Read 1963 times)

0 Members and 1 Guest are viewing this topic.

Offline Dongzhe

  • Regular QuantumATK user
  • **
  • Posts: 20
  • Country: fr
  • Reputation: 1
    • View Profile
U-2022.12-SP1 installation problem
« on: June 11, 2023, 13:44 »
Dear QATK developers,
 
I hold a license through the Europractice program. Recently I installed the newest version of QATK, but I cannot run "atkpython", I always get the following message without errors (see below).

In contrast, I can use the graphical interface using "quantumatk", meaning nothing related to the license issue.

Any comments?

Thanks in advance,

Dongzhe
CNRS in Toulouse, France

+------------------------------------------------------------------------------+
|                                                                              |
|                                  QuantumATK®                                 |
|                                                                              |
|        Version: U-2022.12-SP1 for Windows and Linux [Build da6f78d527]       |
|                                                                              |
|                      Copyright © 2004-2023 Synopsys, Inc.                    |
|                                                                              |
|       This software and all associated documentation are proprietary to      |
|         Synopsys, Inc. This software may only be used pursuant to the        |
|       terms and conditions of a written license agreement with Synopsys,     |
|       Inc. All other use, reproduction, modification, or distribution of     |
|                     this software is strictly prohibited.                    |
|                                                                              |
+------------------------------------------------------------------------------+

Timing:                          Total     Per Step        %

--------------------------------------------------------------------------------

Loading Modules + MPI   :      10.14 s      10.14 s      99.99% |=============|
--------------------------------------------------------------------------------
Total                   :      10.14 s

Offline Anders Blom

  • QuantumATK Staff
  • Supreme QuantumATK Wizard
  • *****
  • Posts: 5374
  • Country: dk
  • Reputation: 89
    • View Profile
    • QuantumATK at Synopsys
Re: U-2022.12-SP1 installation problem
« Reply #1 on: June 12, 2023, 19:48 »
Windows or Linux?

Offline Dongzhe

  • Regular QuantumATK user
  • **
  • Posts: 20
  • Country: fr
  • Reputation: 1
    • View Profile
Re: U-2022.12-SP1 installation problem
« Reply #2 on: June 13, 2023, 11:46 »
It was installed in a cluster (linux).
Best regards,
Dongzhe

Offline Anders Blom

  • QuantumATK Staff
  • Supreme QuantumATK Wizard
  • *****
  • Posts: 5374
  • Country: dk
  • Reputation: 89
    • View Profile
    • QuantumATK at Synopsys
Re: U-2022.12-SP1 installation problem
« Reply #3 on: June 13, 2023, 21:43 »
It might be a competing MPI library that gets picked up, can you check if any variables related to MPI or MKL are set in your environment? Specifically MPIBIN or MPILIB, or any reference to Intel Parallel Studio, or similar?

Offline Dongzhe

  • Regular QuantumATK user
  • **
  • Posts: 20
  • Country: fr
  • Reputation: 1
    • View Profile
Re: U-2022.12-SP1 installation problem
« Reply #4 on: June 26, 2023, 14:11 »
Dear,
I have set the same environment (intelmpi/18.2) for older versions of ATK.
I only have problems with U-2022.12-SP1.
Best regards,
Dongzhe

Offline Anders Blom

  • QuantumATK Staff
  • Supreme QuantumATK Wizard
  • *****
  • Posts: 5374
  • Country: dk
  • Reputation: 89
    • View Profile
    • QuantumATK at Synopsys
Re: U-2022.12-SP1 installation problem
« Reply #5 on: June 26, 2023, 19:38 »
Yes, that is the point. The new version handles MPI libraries differently. It might be that 2018 Intel MPI is too old for U-version, so either try to use a newer version, or switch to using the ones we ship by not using your own MPI module. However, you may then also need to define

MPIBIN=/path/to/QuantumATK/QuantumATK-U-2022.12-SP1/mpi/bin
MPILIB=/path/to/QuantumATK/QuantumATK-U-2022.12-SP1/mpi/lib

PATH=$MPIBIN:$PATH
LD_LIBRARY_PATH=$MPILIB:$LD_LIBRARY_PATH

The difference between the new and old versions is that in U-2022.12, our MPI libraries are placed LAST in the PATH, This is done on purpose so that we don't override your own libraries if you want to use them. The old version had our libraries in the FRONT of the PATH, meaning they took precedence no matter which library you had, so it was very hard to use your own.

Offline Dongzhe

  • Regular QuantumATK user
  • **
  • Posts: 20
  • Country: fr
  • Reputation: 1
    • View Profile
Re: U-2022.12-SP1 installation problem
« Reply #6 on: June 29, 2023, 10:35 »
Dear Anders,
I have tried using the MPI library from QATK (see below).
However, I am facing the same problem. The job was completed without errors, but it did not calculate anything...
Any further suggestions?
Thanks,
Dongzhe
CNRS in Toulouse

------------------------------------------------------------------------
#var environnements
export OMP_NUM_THREADS=1

#export I_MPI_DAPL_TRANSLATION_CACHE=0
export PATH=/usr/local/QuantumATK/QuantumATK-U-2022.12-SP1/bin:$PATH
export MPILIB=/usr/local/QuantumATK/QuantumATK-U-2022.12-SP1/mpi/lib
export MPIBIN=/usr/local/QuantumATK/QuantumATK-U-2022.12-SP1/mpi/bin

export PATH=$MPIBIN:$PATH
export LD_LIBRARY_PATH=$MPILIB:$LD_LIBRARY_PATH

which mpiexec

echo Time is `date`
echo Directory is `pwd`
date
which atkpython

mpiexec -np 1 atkpython < test.py >> test.out
------------------------------------------------------------------------

Offline filipr

  • QuantumATK Staff
  • Heavy QuantumATK user
  • *****
  • Posts: 71
  • Country: dk
  • Reputation: 6
  • QuantumATK developer
    • View Profile
Re: U-2022.12-SP1 installation problem
« Reply #7 on: June 29, 2023, 12:21 »
Code
mpiexec -np 1 atkpython < test.py >> test.out
You are piping the file test.py into the standard input (stdin) of the atkpython program. That is not how atkpython (or normal python) works. Instead you should simply pass the script file as an argument to the atkpython program:
Code
mpiexec -np 1 atkpython test.py >> test.out
You can see the expected way to run the program by executing atkpython --help

Offline Dongzhe

  • Regular QuantumATK user
  • **
  • Posts: 20
  • Country: fr
  • Reputation: 1
    • View Profile
Re: U-2022.12-SP1 installation problem
« Reply #8 on: June 29, 2023, 14:31 »
Dear,
OK, thanks, it is indeed working.

I have been using the following line for other ATK versions without any problems.
mpiexec -np 1 atkpython < test.py >> test.out

It makes only problems for "U-2022.12-SP1"...

Any further explication?
Best regards,
Dongzhe

Offline Anders Blom

  • QuantumATK Staff
  • Supreme QuantumATK Wizard
  • *****
  • Posts: 5374
  • Country: dk
  • Reputation: 89
    • View Profile
    • QuantumATK at Synopsys
Re: U-2022.12-SP1 installation problem
« Reply #9 on: June 29, 2023, 19:29 »
bin/atkpython is actually a bash script which under the hood calls the actual python binary. This wrapper changed structure in U-version so the "piping in" which worked before (but still was not considered the "proper" way) will not work anymore.